function PV=Perms(V)
% FUNCTION HyperMesh.Permutations: all permutations of 1:n elements
%   sorted in lexicographical order.
%
% USAGE
%   P=HyperMesh.Permutations(n) 
% 
% INPUT
%   n : integer, n>1.
%
% OUTPUT
%   P : n!-by-n array. Contains all the permutations of 1:n elements.
%
%    Copyright (C) 2016-2020 F. Cuvelier 
PV=flipud(perms(sort(V)))