function plotmesh3D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh3d('cylinder3holes',10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  fc_tools.graphics.monitors.onGrid(3,3,'figures',1:7);
  figure(1)
  Th.plotmesh('inlegend',true)
  axis image
  legend('show','Location','eastoutside')

  figure(2)
  Th.plotmesh('d',2,'inlegend',true);
  axis image;axis off
  legend('show','Location','eastoutside')

  figure(3)
  Th.plotmesh('d',1,'inlegend',true);
  axis image;axis off
  legend('show','Location','eastoutside')

  figure(4)
  Th.plotmesh('inlegend',true)
  hold on
  Th.plotmesh('d',1,'color','k');
  axis image

  figure(5)
  Th.plotmesh('d',2,'inlegend',true);
  axis image

  figure(6)
  Th.plotmesh('d',2,'edgecolor',0.8*[1 1 1],'facecolor','None','edgealpha',0.5)
  hold on;axis image
  Th.plotmesh('d',1,'inlegend',true);
  legend('show','Location','eastoutside')

  figure(7)
  P=[fc_tools.graphics.PlaneCoefs([0 0 1],[0 0 1]); fc_tools.graphics.PlaneCoefs([0 0 1],[-1 0 0])];
  Th.plotmesh('cutPlane',P,'Color','DarkGrey')
  hold on;axis image
  Th.plotmesh('d',2,'cutPlane',P,'inlegend',true);
  legend('show','Location','eastoutside') % :end:
end
